package com.atlassian.bitbucket.mesh.git.builder.commitgraph;

import com.atlassian.bitbucket.mesh.git.builder.GitProcessBuilder;

import javax.annotation.Nonnull;

public class DefaultGitCommitGraph implements GitCommitGraph {

    private final GitProcessBuilder builder;

    public DefaultGitCommitGraph(GitProcessBuilder builder) {
        this.builder = builder.command("commit-graph");
    }

    @Nonnull
    @Override
    public DefaultGitCommitGraphWriteBuilder write() {
        return new DefaultGitCommitGraphWriteBuilder(builder);
    }
}
